# CAR-TK primer design tool
## Description
This software facilitates rapid, accurate design of primers for PCRing out components of 
CAR plasmids, for downstream use in producing CARs as part of the CAR-TK system. This 
tool designs primers compatible with the overhangs described in our CAR-TK design. The 
only inputs needed are:
* a .gb (GenBank) file containing the CAR plasmid, with each CAR component annotated 
* a directory to save primers to

## Installation and usage
To install and use this package, simply download primers.py to your machine. To run the 
program from your terminal/command line, *cd* into the directory containing primers.py. 
Run the following command: python primers.py -p [path to plasmid as a .gb file] -s [path 
to desired directory to save results] -a [annotation name] [desired CAR-TK type]

For example, you might run a command like: python primers.py -p 
/Downloads/CAR_plasmid.gb -s /Downloads/my_primers/ -a anti_IL6_scFv extra 

The accepted [desired CAR-TK type] options are:
* extra 
* space
* trans
* intra
which correspond to an extracellular receptor domain, spacer, transmembrane signaling 
domain, and intracellular cellular response activation domain.

If you have multiple CAR components (each individually annotated) that you would like to 
design primers for, you can list them in series after the -a flag. For example: python 
primers.py -p
/Downloads/CAR_plasmid.gb -s /Downloads/my_primers/ -a anti_IL6_scFv extra CD8 trans 

You can also always read through the source code to understand what parameters are 
expected.

Finally, in order to construct YTK000, you can download the primers on 
this repository (the four .gb files) and use them to PCR out parts from 
YTK001, then ligate them together using BsaI.
