#!/bin/bash

# usage:
# ./build.sh <path to ssh key> <ssh username and host>

set -e # exit if any command fails

SSH_KEY=$1
SSH_DEST=$2
image="diagnosticdigests"

# list current docker images
docker images "$image"

read -p "tag: " tag
docker buildx build --platform linux/amd64 --load -t "$image:$tag" .

echo "Uploading to remote host ($SSH_DEST): $image:$tag"
docker save "$image:$tag" | bzip2 | pv | ssh -i "$SSH_KEY" "$SSH_DEST" docker load

