import json

biopython_enz = set()
seqviz_enz = set()

with open("biopython_enzymes.txt") as f1, \
	 open("seqviz_enzymes.json") as f2:

	for line in f1:
		line = line.strip()
		if len(line) > 0:
			biopython_enz.add(line)

	seqviz_enz_data = json.load(f2)

	for enz, data in seqviz_enz_data.items():
		seqviz_enz.add(data["name"])

intersect = sorted(list(biopython_enz | seqviz_enz))

for enz in intersect:
	print(f"\"{enz}\",")
