import httpProxyMiddleware from "next-http-proxy-middleware";

// For preventing header corruption, specifically Content-Length header
export const config = {
  api: {
    externalResolver: true,
    bodyParser: false,
  },
};

export default async (req, res) => {
  const {
    headers: { cookie, ...rest },
    method,
  } = req;

  const handleProxyInit = (proxy) => {
    proxy.on("error", (err, req, res) => {
      res.status(500).send(err.message);
    });
  };

  httpProxyMiddleware(req, res, {
    target: process.env.BACKEND_API_URL,
    pathRewrite: [
      {
        patternStr: "^/api",
        replaceStr: "",
      },
    ],
    onProxyInit: handleProxyInit,
  });
};
