# Pairwise sequence alignment tool

_This tool was developed as part of MIT's 2023 iGEM team software. For more information, see our [wiki](https://2023.igem.wiki/mit/)._

Sequence alignment is central to biological experimentation, with extensive applications enabling everything from inference of evolutionary relationships between genes or proteins to comparison of synthetic genetic constructs with their theoretical designs. Some software include alignment tools as auxiliary and suboptimally designed resources, and computational packages like BioPython provide sufficient functionality for experienced coders to align their own sequences; however, there are no easily accessible and straightforward online alignment tools where users can simply upload their sequences and view alignment information.

We experienced these difficulties firsthand when we received sequencing results of some of our most important plasmid constructs and found that aligning them with our theoretical designs was frustrating and confusing. Thus, we implemented our own pairwise sequence alignment tool.
